# Method: users.list

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/users/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/users/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/users/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/users/list#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/users/list#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/users/list#body.ListUsersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/users/list#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/users/list#try-it)

Lists all users with access to a developer account.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/{parent=developers/*}/users`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The developer account to fetch users from. Format: developers/{developer} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of results to return. This must be set to -1 to disable pagination. |
| `pageToken` | `string` A token received from a previous call to this method, in order to retrieve further results. |

### Request body

The request body must be empty.

### Response body

A response containing one or more users with access to an account.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "users": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/users#User`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `users[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/users#User`)`` The resulting users. |
| `nextPageToken` | `string` A token to pass to subsequent calls in order to retrieve subsequent results. This will not be set if there are no more results to return. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`